# SimpleMutex Class Reference

An easy to use mutex. More...

`#include <SimpleMutex.h>`

List of all members.

## Detailed Description

An easy to use mutex.

I wrote this because the version that comes with Windows is too complicated and requires too much code to use.

Remarks:
  Previously I used this everywhere, and in fact for a year or two RakNet was totally threadsafe. While doing profiling, I saw that this function was incredibly slow compared to the blazing performance of everything else, so switched to single producer / consumer everywhere. Now the user thread of RakNet is not threadsafe, but it's 100X faster than before.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/SimpleMutex.h